import React from 'react';
import {
  MDBContainer,
  MDBRow,
  MDBCol,
  MDBCard,
  MDBCardBody,
  MDBTable,
  MDBTableBody,
  MDBTableHead
} from 'mdbreact';

const TablePage = props => {
  const data_collspan = {
    columns: [
      {
        label: '#',
        field: 'id',
        sort: 'asc'
      },
      {
        label: 'First',
        field: 'first',
        sort: 'asc'
      },
      {
        label: 'Last',
        field: 'last',
        sort: 'asc'
      },
      {
        label: 'Handle',
        field: 'handle',
        sort: 'asc'
      },
      {
        label: 'First',
        field: 'first1',
        sort: 'asc'
      },
      {
        label: 'Last',
        field: 'last1',
        sort: 'asc'
      },
      {
        label: 'Handle',
        field: 'handle1',
        sort: 'asc'
      }
    ],
    rows: [
      {
        id: 1,
        first: 'Mark',
        last: 'Otto',
        handle: '@mdo',
        first1: 'Larry',
        last1: 'the Bird',
        handle1: '@twitter'
      },
      {
        id: 2,
        first: 'Jacob',
        last: 'Thornton',
        handle: '@fat',
        first1: 'Mark',
        last1: 'Otto',
        handle1: '@mdo'
      },
      {
        id: 3,
        first: 'Larry the Bird',
        colspan: 2,
        handle: '@twitter',
        first1: 'Jacob',
        last1: 'Thornton',
        handle1: '@fat'
      },
      {
        id: 4,
        first: 'Mark',
        last: 'Otto',
        handle: '@mdo',
        first1: 'Larry',
        last1: 'the Bird',
        handle1: '@twitter'
      },
      {
        id: 5,
        first: 'Jacob',
        last: 'Thornton',
        handle: '@fat',
        first1: 'Mark',
        last1: 'Otto',
        handle1: '@mdo'
      },
      {
        id: 6,
        first: 'Larry',
        last: 'the Bird',
        handle: '@twitter',
        first1: 'Jacob',
        last1: 'Thornton',
        handle1: '@fat'
      },
      {
        id: 7,
        first: 'Mark',
        last: 'Otto',
        handle: '@mdo',
        first1: 'Larry',
        last1: 'the Bird',
        handle1: '@twitter'
      },
      {
        id: 8,
        first: 'Jacob',
        last: 'Thornton',
        handle: '@fat',
        first1: 'Mark',
        last1: 'Otto',
        handle1: '@mdo'
      },
      {
        id: 9,
        first: 'Larry',
        last: 'the Bird',
        handle: '@twitter',
        first1: 'Jacob',
        last1: 'Thornton',
        handle1: '@fat'
      }
    ]
  };

  return (
    <MDBContainer className='mt-3'>
      <MDBRow className='py-3'>
        <MDBCol md='12'>
          <MDBTable bordered striped>
            <MDBTableHead
              columns={data_collspan.columns}
            />
            <MDBTableBody rows={data_collspan.rows} />
          </MDBTable>
        </MDBCol>
      </MDBRow>
    </MDBContainer>
  );
};

export default TablePage;