import React from "react";
import { MDBContainer, MDBRow, MDBCol } from "mdbreact";
import '../index.css';
import ClassIndiv from './ClassIndivHP';
import ClassEquipe from './ClassEquipeHP';
import CircularCountdown from './CountdownSandbox';
import ProgressBar from './ProgressBar'

const gridExamplesPage = () => {
  return (
      <MDBContainer>
      <MDBRow>
        <MDBCol><CircularCountdown/></MDBCol>
      </MDBRow>
        <MDBRow>
          <br />
        </MDBRow>
        <MDBRow>
          <MDBCol><h2>Individuel</h2><ClassIndiv/></MDBCol>
          <MDBCol><h2>Associations</h2><ClassEquipe/></MDBCol>
        </MDBRow>
        <MDBRow>
        <ProgressBar/>
        </MDBRow>
        <MDBRow>
          <br />
        </MDBRow>
      </MDBContainer>
  );
}

export default gridExamplesPage;