import { useState } from 'react';
import axios from 'axios';

export function useIsAdmin() {

  const [user, setUser] = useState({});
  const [admins, setAdmins] = useState([]);
  const [initialize, setInitialize] = useState(true);
  if (initialize) {
    axios.get('/api/user').then((response) => setUser(response.data));
    setAdmins([])
    axios.get('/api/administrateurs/login').then((response) => setAdmins(response.data));
    setInitialize(false);
  }
  if (admins.includes(user.login)) {
    return true
  } else {
    return false
  }
}

export function useIsStaff() {

  const [user, setUser] = useState({});
  const [staff, setStaff] = useState([]);
  const [initialize, setInitialize] = useState(true);
  if (initialize) {
    axios.get('/api/user').then((response) => setUser(response.data));
    setStaff([])
    axios.get('/api/staffeurs/login').then((response) => setStaff(response.data));
    setInitialize(false);
  }
  if (staff.includes(user.login)) {
    return true
  } else {
    return false
  }
}

export function useIsParticipant(props) {

  const [part, setPart] = useState([]);
  const [initialize, setInitialize] = useState(true);
  if (initialize) {
    axios.get('/api/participants_ids').then((response) => setPart(response.data));
    setInitialize(false);
  }
  if (part.includes(props.id)) {
    return true
  } else {
    return false
  }
}
