import React, {useState, useEffect} from 'react';
import axios from 'axios';
import Select from 'react-select';

function ListeAssos () {
var assoOptions = [];

var [assos,setAssos] = useState([]);
  useEffect(() => {
    const interval = setInterval(() => {
      axios.get('/api/equipes').then((response) => setAssos(response.data));
    }, 500);
    return () => clearInterval(interval);
  }, []);

  function RefreshData() {
    assos.map((item) => 
    assoOptions.push(
      {
        value: item.id,
        label: item.name
      },
    ),
  );  

  return (assoOptions)
    }

  return(RefreshData())  

  }


/*var assoOptions = [
    { value: 'BDE', label: 'BDE' },
    { value: 'BDS', label: 'BDS' },
    { value: 'ACP', label: 'ACP' },
    { value: 'HumaCS', label: 'HumaCS' },
    { value: 'ViaRézo', label: 'ViaRézo' },
    { value: 'CheerUp', label: 'CheerUp' },
    { value: 'BaJ', label: 'BaJ' },
    { value: 'PICS', label: 'PICS' },
    { value: 'Hyris', label: 'Hyris' },
    { value: 'Impact', label: 'Impact' },
    { value: 'OSER', label: 'OSER' },
    { value: 'WACS', label: 'WACS' },
    { value: 'Symposium', label: 'Symposium' },
    { value: 'SBCS', label: 'SBCS' },
    { value: 'NCV', label: 'NCV' },
    { value: 'Forum', label: 'Forum' },
    { value: 'La Guilde', label: 'La Guilde' },
    { value: 'RAID', label: 'RAID' }
    ]*/

const groupStyles = {
  display: 'flex',
  alignItems: 'center',
  justifyContent: 'space-between',
};
const groupBadgeStyles = {
  backgroundColor: '#EBECF0',
  borderRadius: '2em',
  color: '#172B4D',
  display: 'inline-block',
  fontSize: 12,
  fontWeight: 'normal',
  lineHeight: '1',
  minWidth: 1,
  padding: '0.16666666666667em 0.5em',
  textAlign: 'center',
};

const formatGroupLabel = data => (
  <div style={groupStyles}>
    <span>{data.label}</span>
    <span style={groupBadgeStyles}>{data.options.length}</span>
  </div>
);

const SearchAsso = (props) => (
  <Select
    placeholder="Association"
    options={ListeAssos()}
    formatGroupLabel={formatGroupLabel}
    name="Association"
    onChange={props.handleChange}
    maxMenuHeight={175}
  />
);

export default SearchAsso;
